Create an applicant
curl --request POST \
--url https://sandbox.apocor.ai/v1/applicants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "PERSON",
"email": "[email protected]",
"data": {
"firstName": "Jane",
"lastName": "Doe",
"country": "US",
"addressLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001"
}
}
'import requests
url = "https://sandbox.apocor.ai/v1/applicants"
payload = {
"type": "PERSON",
"email": "[email protected]",
"data": {
"firstName": "Jane",
"lastName": "Doe",
"country": "US",
"addressLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'PERSON',
email: '[email protected]',
data: {
firstName: 'Jane',
lastName: 'Doe',
country: 'US',
addressLine1: '123 Main St',
city: 'New York',
state: 'NY',
postalCode: '10001'
}
})
};
fetch('https://sandbox.apocor.ai/v1/applicants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"orgId": "<string>",
"email": "<string>",
"data": {},
"issuerKycReady": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "APPLICANT_ALREADY_EXISTS",
"message": "Applicant already exists for this organization"
}
}Identity verification (KYC)
Create an applicant
POST
/
v1
/
applicants
Create an applicant
Authorizations
Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.
Body
application/json
Response
Applicant created.
An end-user or business. Provider-internal identity references are white-labeled away.
Show child attributes
Show child attributes
⌘I